org.apache.xmpbox.schema

## Class PDFAExtensionSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.PDFAExtensionSchema

    public class PDFAExtensionSchema
    extends XMPSchema

Representation of a PDF/A Extension schema description schema

Author:
  a183132

### Field Summary

Fields
`static String` `SCHEMAS`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`PDFAExtensionSchema(XMPMetadata metadata)` Build a new PDFExtension schema
`PDFAExtensionSchema(XMPMetadata metadata, String prefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrayProperty` `getSchemasProperty()`

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEMAS

    public static final String SCHEMAS

See Also:
  Constant Field Values

### Constructor Detail

#### PDFAExtensionSchema

    public PDFAExtensionSchema(XMPMetadata metadata)

Build a new PDFExtension schema

Parameters:
  `metadata` - The metadata to attach this schema XMPMetadata

#### PDFAExtensionSchema

    public PDFAExtensionSchema(XMPMetadata metadata,
                               String prefix)

### Method Detail

#### getSchemasProperty

    public ArrayProperty getSchemasProperty()

Returns:
  the list of subject values